Update Custom Attributes
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: {order_id: '12345', previous_conversation: '67890'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload = { "custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Conversations
Update Custom Attributes
Updates the custom attributes of a conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
custom_attributes
Update Custom Attributes
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: {order_id: '12345', previous_conversation: '67890'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload = { "custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The custom attributes to be set for the conversation
Example:
{
"order_id": "12345",
"previous_conversation": "67890"
}
Response
Success
The custom attributes of the conversation